[tool.poetry]
name = "learnlytics"
version = "0.1.0"
description = ""
authors = ["DerGrumpf <p.keier@beyerstedt-it.de>"]
readme = "README.md"

[tool.poetry.group.dev.dependencies]
flatpak-pip-generator = "^24.0.0"
pandas = "^2.2.3"

[project]
package-mode = false

[project.scripts]
main = "learnlytics:main.py"

[tool.poetry.dependencies]
python = "^3.12"
numpy = "^2.2.3"
imgui-bundle = "^1.6.2"
peewee = "^3.17.9"
colour = "^0.1.5"
pytz = "^2025.1"
tzlocal = "^5.3"
pdf2image = "^1.17.0"
playwright = "^1.50.0"
markdown-pdf = "^1.3.3"
linkify-it-py = "^2.0.3"
python-slugify = "^8.0.4"
cairosvg = "^2.7.1"
psycopg2-binary = "^2.9.10"


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
